/*
 www.UltimateGameProgramming.com
 PerPixel Lighting Shader in GLSlang.
 Created by the Programming Ace.


 Input...
   gl_Vertex = vertex object space position.
   gl_ModelViewProjectionMatrix = current model view projection matrix.
   gl_MultiTexCoord0.xy = texture coords for unit 0.


 Varying...
   texCoord0 = output vertex texture coordinates.
   normal = vertex normal.
   pos = vertex pos.


 Output...
   gl_Position = output position.
*/

varying vec2 texCoord;
varying vec3 normal;
varying vec4 pos;
varying vec4 shadowTexCoord;

void main()
{
	// Tranform to clip space.
	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;

	// Set tex coord.
	texCoord = gl_MultiTexCoord0.xy;	

	// Send vertex pos and normal to the pixel shader.
	normal = gl_Normal;
	pos = gl_Vertex;
	//gl_Vertex.z = 999;

	shadowTexCoord = gl_TextureMatrix[1] * gl_Vertex;
}
